osmium::io::GzipCompressor Class Reference

`#include <gzip_compression.hpp>`

Inheritance diagram for osmium::io::GzipCompressor:
[legend]
Collaboration diagram for osmium::io::GzipCompressor:
[legend]

## Public Member Functions

| GzipCompressor (int fd, fsync sync)
| ~GzipCompressor () noexceptfinal
void | write (const std::string &data) final
void | close () final
Public Member Functions inherited from osmium::io::Compressor
| Compressor (fsync sync)
virtual | ~Compressor () noexcept

## Private Attributes

int | m_fd
gzFile | m_gzfile

## Additional Inherited Members

Protected Member Functions inherited from osmium::io::Compressor
bool | do_fsync () const

## Constructor & Destructor Documentation

osmium::io::GzipCompressor::GzipCompressor | ( | int | fd,
|  | fsync | sync
| ) |  |

inline explicit

osmium::io::GzipCompressor::~GzipCompressor | ( |  | ) |

inline final noexcept

## Member Function Documentation

void osmium::io::GzipCompressor::close | ( |  | ) |

inline final virtual

Implements osmium::io::Compressor.

void osmium::io::GzipCompressor::write | ( | const std::string & | data | ) |

inline final virtual

Implements osmium::io::Compressor.

## Member Data Documentation

int osmium::io::GzipCompressor::m_fd

private

gzFile osmium::io::GzipCompressor::m_gzfile

private

The documentation for this class was generated from the following file:

- osmium/io/gzip_compression.hpp